# GET /price-trend-of-location

> Get price trends

Source: https://uaepropertyapi.com/documentation/endpoints/price-trend-of-location

Get property price trends for a specific location and property type.

- Base URL: `https://uae-real-estate-property.p.rapidapi.com`
- Category: Market Data
- Headers: `x-rapidapi-key: <YOUR_RAPIDAPI_KEY>`, `x-rapidapi-host: uae-real-estate-property.p.rapidapi.com`

## Parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `location_id` | string | yes | Location ID; Example: `50` (Dubai Marina) |
| `property_type` | string | no | Property type for trend analysis; Default: `apartment` |

## Example request

```bash
curl --request GET \
  --url 'https://uae-real-estate-property.p.rapidapi.com/price-trend-of-location?location_id=50' \
  --header 'x-rapidapi-host: uae-real-estate-property.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'
```

```python
import requests

url = "https://uae-real-estate-property.p.rapidapi.com/price-trend-of-location"
querystring = {"location_id": "50"}
headers = {
    "x-rapidapi-key": "YOUR_API_KEY",
    "x-rapidapi-host": "uae-real-estate-property.p.rapidapi.com"
}

response = requests.get(url, headers=headers, params=querystring)
print(response.json())
```

## Example response (shortened)

```json
{
  "success": true,
  "data": {
    "data": {
      "attributes": {
        "graph": {
          "1Y": [
            {
              "bedroom_id": 1,
              "community_price": 2561,
              "date": "2025-10-01T00:00:00Z",
              "period": "Oct 2025",
              "time_frame": "1Y",
              "tower_price": 2561
            },
            {
              "bedroom_id": 2,
              "community_price": 2202,
              "date": "2025-10-01T00:00:00Z",
              "period": "Oct 2025",
              "time_frame": "1Y",
              "tower_price": 2202
            },
            {
              "bedroom_id": 3,
              "community_price": 2142,
              "date": "2025-10-01T00:00:00Z",
              "period": "Oct 2025",
              "time_frame": "1Y",
              "tower_price": 2142
            }
          ],
          "2Y": [
            "…"
          ],
          "5Y": [
            "…"
          ]
        },
        "overview": {
          "axis_label": "AED/Sqft",
          "community_name": "Dubai Marina",
          "has_utilities": false,
          "tower_name": "Dubai Marina"
        }
      },
      "id": 50,
      "type": "price-trends"
    }
  }
}
```

Related endpoints: 
